ros-kilted-plotjuggler (3.14.2-1noble) noble; urgency=high

  * add new binary filter
  * add code of conduct and remove old issue template
  * Update issue templates
  * fix data merging
  * new memes
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 05 Dec 2025 23:00:00 -0000

ros-kilted-plotjuggler (3.14.0-1noble) noble; urgency=high

  * bug fix in multiple curves filter
  * Merge pull request #1192 <https://github.com/facontidavide/PlotJuggler/issues/1192> from MichelJansson/feature/transform-multiselect
    Support curve multi-selection in Transform Editor
  * Merge branch 'main' of github.com:facontidavide/PlotJuggler
  * add new anonymous telemetry
  * Merge pull request #1199 <https://github.com/facontidavide/PlotJuggler/issues/1199> from af-maad/fix/parquet-timestamp-selection
    Fix parquet timestamp selection when some columns are invalid types
  * Merge pull request #1211 <https://github.com/facontidavide/PlotJuggler/issues/1211> from gvz/merging_data_loading
    data series with the same name can be mergered
  * Update plotjuggler_app/mainwindow.ui
  * Merge pull request #1209 <https://github.com/facontidavide/PlotJuggler/issues/1209> from gvz/parquet_loading_timestamping
    Parquet loading
  * Update macos.yaml
  * Fix detection of system-provided liblz4 and zstd (#1200 <https://github.com/facontidavide/PlotJuggler/issues/1200>)
    Without this, cmake tries to download lz4 and zstd from the internet
    even if they are available in the system.
  * Added a script to remove orphaned link upon uninstall on debian (#1205 <https://github.com/facontidavide/PlotJuggler/issues/1205>)
    The symbolic link that gets created on postinst is left behind
    upon package removal. This was also causing reinstallation to
    display an error stating that the link already exists.
    Change-Id: I6a85baa63ee61e843ad1accdd08e5b632a76d2e9
  * Update compile instructions for Fedora (#1206 <https://github.com/facontidavide/PlotJuggler/issues/1206>)
    I just tried installing deps and compiling on Fedora 42,
    and I had to make these changes to get it to build.
    Not sure which Fedora version these instructions were
    written for, so I specified that this is Fedora 42.
  * 🛠️ Bump actions/download-artifact from 5 to 6 (#1202 <https://github.com/facontidavide/PlotJuggler/issues/1202>)
    Bumps [actions/download-artifact](https://github.com/actions/download-artifact) from 5 to 6.
    - [Release notes](https://github.com/actions/download-artifact/releases)
    - [Commits](https://github.com/actions/download-artifact/compare/v5...v6)
    ---
    updated-dependencies:
    - dependency-name: actions/download-artifact
    dependency-version: '6'
    dependency-type: direct:production
    update-type: version-update:semver-major
    ...
    Co-authored-by: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
  * 🛠️ Bump github/codeql-action from 3 to 4 (#1196 <https://github.com/facontidavide/PlotJuggler/issues/1196>)
    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 3 to 4.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/v3...v4)
    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
    dependency-version: '4'
    dependency-type: direct:production
    update-type: version-update:semver-major
    ...
    Co-authored-by: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
  * 🛠️ Bump actions/upload-artifact from 4 to 5 (#1203 <https://github.com/facontidavide/PlotJuggler/issues/1203>)
    Bumps [actions/upload-artifact](https://github.com/actions/upload-artifact) from 4 to 5.
    - [Release notes](https://github.com/actions/upload-artifact/releases)
    - [Commits](https://github.com/actions/upload-artifact/compare/v4...v5)
    ---
    updated-dependencies:
    - dependency-name: actions/upload-artifact
    dependency-version: '5'
    dependency-type: direct:production
    update-type: version-update:semver-major
    ...
    Co-authored-by: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
  * 🛠️ Bump actions/checkout from 5 to 6 (#1214 <https://github.com/facontidavide/PlotJuggler/issues/1214>)
    Bumps [actions/checkout](https://github.com/actions/checkout) from 5 to 6.
    - [Release notes](https://github.com/actions/checkout/releases)
    - [Changelog](https://github.com/actions/checkout/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/actions/checkout/compare/v5...v6)
    ---
    updated-dependencies:
    - dependency-name: actions/checkout
    dependency-version: '6'
    dependency-type: direct:production
    update-type: version-update:semver-major
    ...
    Co-authored-by: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
  * data_loading: timeseries with the same name are merged by default
  * parquet_loading: fix timestamp handling for arrow::TIMESTAMP
  * parquet_loading: fix Boolean display
  * Fix parquet timestamp selection when some columns are invalid types
  * Support curve multi-selection in Transform Editor
    Enhanced plotwidget transforms (Transform Editor) to support curve
    multi-selection, enabling batch operations of curve transforms.
    - Updated curve list to handle multi-selection.
    - Changed curve selection mode to ExtendedSelection.
    - When multi-selection is started, the transform selection UI is
    cleared to make batch manipulation explicit (ie. batch transform
    not applied until explicitly selected).
    - Changed transform list for multi-curve updates.
    - Transform state is applied to all selected curves using existing
    XML serialization api.
    - Alias logic updated to better stay in sync with currently
    selected transform unless manually changed by checking it the
    current alias is the default alias for the previous transform.
  * Contributors: Davide Faconti, Georg von Zengen, Laki Dantanarayana, Mattias Adolfsson, Michal Sojka, Michel Jansson, Morten Fyhn Amundsen, dependabot[bot]

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 21 Nov 2025 23:00:00 -0000

ros-kilted-plotjuggler (3.13.2-1noble) noble; urgency=high

  * Fix issue #1194 <https://github.com/facontidavide/PlotJuggler/issues/1194>
  * address issue #1195 <https://github.com/facontidavide/PlotJuggler/issues/1195>
  * fix issue #1193 <https://github.com/facontidavide/PlotJuggler/issues/1193>
  * bug fix
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 06 Oct 2025 22:00:00 -0000

ros-kilted-plotjuggler (3.13.1-1noble) noble; urgency=high

  * [Feature] New Filter to display the time since the previous datapoint (#1180 <https://github.com/facontidavide/PlotJuggler/issues/1180>)
    * add new filter to get the time since the last data point
    * rename for clarity
  * fix LZ4 and ZSTD (#1188 <https://github.com/facontidavide/PlotJuggler/issues/1188>)
  * fix issue #1189 <https://github.com/facontidavide/PlotJuggler/issues/1189>
  * make library rosx static
  * Contributors: Davide Faconti, Simon Sagmeister

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 30 Sep 2025 22:00:00 -0000

ros-kilted-plotjuggler (3.13.0-1noble) noble; urgency=high

  * Merge branch 'plugin_manager'
  * fix CI
  * add WASM based pligins (experimental)
  * add Ankel unordered map
  * minor changes
  * Merge pull request #1185 <https://github.com/facontidavide/PlotJuggler/issues/1185> from simonsag96/fix_tab_add_button
    [Bugfix] Add Tab Button being placed outside plot widget
  * Fix tab adding button being placed outside plot widget
  * Merge pull request #1184 <https://github.com/facontidavide/PlotJuggler/issues/1184> from MichelJansson/feature/fix-windows-icon
  * Fixed windows app icon + moved resource file
  * created plugin manager
  * Contributors: Davide Faconti, Michel Jansson, Simon Sagmeister

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 28 Sep 2025 22:00:00 -0000

ros-kilted-plotjuggler (3.12.2-1noble) noble; urgency=high

  * Merge pull request #1147 <https://github.com/facontidavide/PlotJuggler/issues/1147> from gvz/nix_flake
  * fix zstd installing headers and libraries
  * flip the text if on the right size of the canvas
  * Use CurveTracker for the reference line
  * Update dependencies needed for macOS installation (#1155 <https://github.com/facontidavide/PlotJuggler/issues/1155>)
    On following the instructions for compiling in macOS on a new machine I ran into errors during the build. Installing git-lfs solved the issue
  * Make spin box in MCAP Dialog to click focus (#1179 <https://github.com/facontidavide/PlotJuggler/issues/1179>)
  * [Feature] Add topic filtering into the mcap dialog (#1181 <https://github.com/facontidavide/PlotJuggler/issues/1181>)
  * add gold sponsors to readme
  * enable parquet plugin in nix build
  * fix Qt plugin loading in nix build
  * remove libmcap from nix build
  * flake: add more dependencies
  * add nix flake
  * Contributors: David Byrne, Davide Faconti, Georg von Zengen, Simon Sagmeister, bigFin

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 28 Sep 2025 22:00:00 -0000

ros-kilted-plotjuggler (3.12.0-1noble) noble; urgency=high

  * rosx_introspection updated
  * fix minimum cmake
  * formatting
  * giving up on MCAP
  * new reference bar
  * Merge pull request #1164 <https://github.com/facontidavide/PlotJuggler/issues/1164> from matthew-t-watson/main
    Fix atan bug in lua quat_to_yaw and quat_to_roll conversions for lua versions <5.3
  * Fix atan bug in quat_to_x conversions
  * Contributors: Davide Faconti, Matthew T. Watson

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 16 Sep 2025 22:00:00 -0000

ros-kilted-plotjuggler (3.11.1-1noble) noble; urgency=high

  * Update windows.yaml
  * Update ubuntu.yaml
  * git pushMerge branch 'main' of github.com:facontidavide/PlotJuggler
  * refactored Parquet plugin
  * CI: rename .deb file before uploading
    fixes the uploading of the artifacts, without this the file can not be
    found in the release upload
    CI: rename .deb file before uploading
    fixes the uploading of the artifacts, without this the file can not be
    found in the release upload
  * Contributors: Davide Faconti, Georg von Zengen

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 02 Sep 2025 22:00:00 -0000

ros-kilted-plotjuggler (3.11.0-1noble) noble; urgency=high

  * Merge pull request #1157 <https://github.com/facontidavide/PlotJuggler/issues/1157> from facontidavide/conan_builds
    Conan builds
  * merge PR #1139 <https://github.com/facontidavide/PlotJuggler/issues/1139> and  #1141 <https://github.com/facontidavide/PlotJuggler/issues/1141> (from @gvz)
  * fix mqtt username and password swap (#1159 <https://github.com/facontidavide/PlotJuggler/issues/1159>)
    fixes  #1158 <https://github.com/facontidavide/PlotJuggler/issues/1158>
  * fix parquet
  * let CPM download LZ4 and ZSTD
  * fix conan builds
  * fix(ulog_parser): allow messages without timestamp field (#1154 <https://github.com/facontidavide/PlotJuggler/issues/1154>)
    use a fixed increment when no timestamp is logged
  * build debian packages in github actions (#1146 <https://github.com/facontidavide/PlotJuggler/issues/1146>)
    * build debian in actions
    * add ubuntu:24.04 build
    will enable ubuntu builds
    * upload .deb files to releases
    ---------
    Co-authored-by: Georg von Zengen <georg.vonzengen@isaraerospace.com>
  * Add core24 snap (#1100 <https://github.com/facontidavide/PlotJuggler/issues/1100>)
    * add core24 snap
    * add snap core24 github action
  * rename FindMosquitto.cmake to FindMOSQUITTO.cmake (#1140 <https://github.com/facontidavide/PlotJuggler/issues/1140>)
    fixes #1138 <https://github.com/facontidavide/PlotJuggler/issues/1138>
    Co-authored-by: Georg von Zengen <mailto:georg.vonzengen@isaraerospace.com>
  * Fix error 127 from linuxdeploy in Docker builds (#1149 <https://github.com/facontidavide/PlotJuggler/issues/1149>)
    * dockerfile: set APPIMAGE_EXTRACT_AND_RUN so linuxdeploy-qt works in Docker
    The Qt plugin is a separate AppImage, and the CLI flag doesn’t propagate.
    Exporting the env var makes both linuxdeploy and the plugin run in extract-and-run
    mode, avoiding FUSE and fixing exit code 127 in container builds.
    * dockerfile: fix warning from inconsistent case
  * Fix protobuf compilation on linux hosts (#1143 <https://github.com/facontidavide/PlotJuggler/issues/1143>)
    * fix PROTOBUF_FOUND for case sentitive systems
    * fix compiler error in ParserProtobuf on linux
    ---------
    Co-authored-by: Georg von Zengen <mailto:georg.vonzengen@isaraerospace.com>
  * Contributors: Davide Faconti, Georg von Zengen, Mathieu Bresciani, giusebar, Øyvind Taksdal Stubhaug

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 30 Aug 2025 22:00:00 -0000

ros-kilted-plotjuggler (3.10.11-1noble) noble; urgency=high

  * Datatamer fix (#1131 <https://github.com/facontidavide/PlotJuggler/issues/1131>)
  * new clang format
  * Squashed commit of the following:
    Author: Maximilien Naveau <mailto:maximilien.naveau@pal-robotics.com>
    Date:   Thu Jul 24 12:21:39 2025 +0200
    Solve the PALStatistics message parsing in case several topic are
    published.
  * Fix Issues on MacOS Compilation (#1125 <https://github.com/facontidavide/PlotJuggler/issues/1125>)
  * Add no splash to settings (#1122 <https://github.com/facontidavide/PlotJuggler/issues/1122>)
    * Added option to skip splash screen to settings ini file
    * Added option to preference screen
  * provide install rule again from catkin build (#1124 <https://github.com/facontidavide/PlotJuggler/issues/1124>)
    Otherwise catkin install workspaces include everything except for the binary...
  * try fix LZ4/ZSTD (#1121 <https://github.com/facontidavide/PlotJuggler/issues/1121>)
  * Contributors: Connor Anderson, Davide Faconti, Michael Görner, thenoname

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 25 Jul 2025 22:00:00 -0000

ros-kilted-plotjuggler (3.10.10-1noble) noble; urgency=high

  * cosmetic change in Preferences
  * Fmt cpm (#1120 <https://github.com/facontidavide/PlotJuggler/issues/1120>)
  * Make export plot size an application param
  * Add an action to plot a whole tab
  * fix missing submodule
  * fix Win CI
  * Contributors: Blaise Le Coquil, Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 10 Jul 2025 22:00:00 -0000

ros-kilted-plotjuggler (3.10.9-1noble) noble; urgency=high

  * add Arrow to conan and fix Windows CI (#1109 <https://github.com/facontidavide/PlotJuggler/issues/1109>)
  * modernize cmake
  * apply formatting to cmakelists
  * Fix compilation with recent protobuf (#1108 <https://github.com/facontidavide/PlotJuggler/issues/1108>)
  * Change behavior of DataLoadCSV::readDataFromFile to skip incomplete/corrupted lines.
  * Fix line numbers in DataLoadCVS::readDataFromFile.
    Line numbers within the error/warning messages boxes didn't show the correct line numbers if the CVS file contained empty lines.
  * Contributors: Davide Faconti, Silvio Traversaro, Valentin Platzgummer

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 07 Jul 2025 22:00:00 -0000

ros-kilted-plotjuggler (3.10.8-1noble) noble; urgency=high

  * fix ROS package
  * Feat/cmakelist namespace (#1099 <https://github.com/facontidavide/PlotJuggler/issues/1099>)
    * add namespace when using plotjuggler, include macrodependency
    * use namespace
  * Fix core22 snap by updating CMake config and pinning snapcraft to 7.x (#1098 <https://github.com/facontidavide/PlotJuggler/issues/1098>)
  * fix linking to roscpp when required (#1102 <https://github.com/facontidavide/PlotJuggler/issues/1102>)
  * minor speed improvement
  * avoid overhead in GUI when loading MCAP
  * WIP changes
  * fix windows compilation (#1094 <https://github.com/facontidavide/PlotJuggler/issues/1094>)
  * Contributors: Davide Faconti, Michael Görner, giusebar

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 25 Jun 2025 22:00:00 -0000

ros-kilted-plotjuggler (3.10.7-1noble) noble; urgency=high

  * fix mcap on ROS2
  * update sol2
  * Add button to delete custom timeseries (#1093 <https://github.com/facontidavide/PlotJuggler/issues/1093>)
    * Add button to delete custom timeseries
    * Remove tailing whitespace
  * Contributors: Davide Faconti, Zach Davis

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 15 Jun 2025 22:00:00 -0000

ros-kilted-plotjuggler (3.10.5-1noble) noble; urgency=high

  * More cmake fixes
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 24 May 2025 22:00:00 -0000

ros-kilted-plotjuggler (3.10.4-1noble) noble; urgency=high

  * add backward again, fix #1079 <https://github.com/facontidavide/PlotJuggler/issues/1079>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 21 May 2025 22:00:00 -0000

ros-kilted-plotjuggler (3.10.3-1noble) noble; urgency=high

  * cmake fixes (again)
  * Cmake cleanups (#1076 <https://github.com/facontidavide/PlotJuggler/issues/1076>)
  * Add missing find_package for plojuggler_qwt (#1064 <https://github.com/facontidavide/PlotJuggler/issues/1064>)
  * improve MCAP loader
  * fix issue in MCAP when one of the parsers fail
  * Contributors: AlessandroCanossa, Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 20 May 2025 22:00:00 -0000

ros-kilted-plotjuggler (3.10.0-1noble) noble; urgency=high

  * Release 3.10 (#1067 <https://github.com/facontidavide/PlotJuggler/issues/1067>)
  * statistics: add avg interval (#979 <https://github.com/facontidavide/PlotJuggler/issues/979>)
  * Add parsing support for tsl messages (#1043 <https://github.com/facontidavide/PlotJuggler/issues/1043>)
    * first working version
    * update clang format
  * Fix IPv6 multicast (#1050 <https://github.com/facontidavide/PlotJuggler/issues/1050>)
    * Ignore default AppImage build
    * Fix IPv6 UDP multicast
  * Update macOS compile instructions (#1058 <https://github.com/facontidavide/PlotJuggler/issues/1058>)
  * latest data_tamer
  * fix ParseIDL
  * Update Dockerfile
  * 3.10 (#1041 <https://github.com/facontidavide/PlotJuggler/issues/1041>) refacto 3rdparty dependencies and fix MCAP plugin + build on MacOS
  * dataload_mcap: real progress bar and share mcap file path between plugins (#1040 <https://github.com/facontidavide/PlotJuggler/issues/1040>)
    * dataload_mcap: add mcap file path toUserDefined
    Include the MCAP file path in PlotJuggler's user-defined data so
    that other plugins can access and utilize it.
    Co-authored-by: Michele Guzzinati <mailto:michele.guzzinati@hipert.it>
    * dataload_mcap: add real progress bar
    Add the real range of the progress bar during mcap loading, so users
    can accurately track the real loading progress.
    Co-authored-by: Michele Guzzinati <mailto:michele.guzzinati@hipert.it>
    ---------
    Co-authored-by: Michele Guzzinati <mailto:michele.guzzinati@hipert.it>
  * Rebased and pre-commit checked (#951 <https://github.com/facontidavide/PlotJuggler/issues/951>)
  * linter
  * DataLoadMCAP: add support to mcap logTime (#1037 <https://github.com/facontidavide/PlotJuggler/issues/1037>)
    The DataLoadMCAP plugin support only the publishTime of the mcap
    message. Add a radio button in the load dialog to select the
    logTime or publishTime.
  * Feature: add float precision setting (#1021 <https://github.com/facontidavide/PlotJuggler/issues/1021>)
  * fix(ulog): the index of the timestamp may be non-zero (#1016 <https://github.com/facontidavide/PlotJuggler/issues/1016>)
    The previous parsing assumed that the timestamp for a ulog data series
    was always at index 0, which is often, but not necessarily the case. The
    parser now store the correct index when parsing the definition.
  * fix broken parquet parsing when parquet file contains 'invalid' columns (#1034 <https://github.com/facontidavide/PlotJuggler/issues/1034>)
  * Minor typo fixes (#1027 <https://github.com/facontidavide/PlotJuggler/issues/1027>)
  * Contributors: Ahmet KÖKEN, Bryce Schober, Davide Faconti, Henrique Ferrolho, Jacob Dahl, Kevin M, Knut Hjorth, Luca Bartoli, PalmEmil, Sebastiano Taddei, Simon Sagmeister

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 29 Apr 2025 22:00:00 -0000

ros-kilted-plotjuggler (3.9.2-1noble) noble; urgency=high

  * Save NlohmannParser (JSON) settings (#971 <https://github.com/facontidavide/PlotJuggler/issues/971>)
  * Fix infinite streaming buffer regression (#953 <https://github.com/facontidavide/PlotJuggler/issues/953>)
    Co-authored-by: paul <mailto:paul@WorkLaptop>
  * fix warning and includes
  * updated fastcdr
  * Added support for empty messages (#960 <https://github.com/facontidavide/PlotJuggler/issues/960>)
  * add a parser for the Line Protocol (InfluxDB)
  * Fixed the value dereference for ULog information messages (#946 <https://github.com/facontidavide/PlotJuggler/issues/946>)
  * adding pre-commit check in CI
  * fmt updated to 10.2.1
  * apply clang format and move PlotJuggler/fmt
  * moved KissFFT
  * pre-commit
  * Contributors: Davide Faconti, Declan Mullen, Jonathan, Michel Jansson, Paul, ubaldot

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 07 May 2024 22:00:00 -0000

ros-kilted-plotjuggler (3.9.1-1noble) noble; urgency=high

  * embed zstd 1.5.5
  * updated lz4 1.9.4
  * PlotJuggler with Fast-CDR-2.x.x (#932 <https://github.com/facontidavide/PlotJuggler/issues/932>)
  * fix ROS2 parser bug
  * fix #935 <https://github.com/facontidavide/PlotJuggler/issues/935> and #934 <https://github.com/facontidavide/PlotJuggler/issues/934>
  * Add Sample Count to transforms
  * fix compilation in Windows
  * Contributors: Davide Faconti, Manuel Valch

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 19 Feb 2024 23:00:00 -0000

ros-kilted-plotjuggler (3.9.0-1noble) noble; urgency=high

  * new status bar with messages from the internet
  * Merge branch 'ulog_improvement'
  * new memes
  * quick file reload!
  * transforms have now default values from previous
  * add icons to dialog Delete Series
  * cleanup and fix ULOG
  * add ULOG parameters as 1 sample timeseries
  * fix issue #929 <https://github.com/facontidavide/PlotJuggler/issues/929> : numerical truncation
  * bypass truncation check
  * Fixed parsing JointState messages (#927 <https://github.com/facontidavide/PlotJuggler/issues/927>)
  * Contributors: Davide Faconti, Martin Pecka

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 03 Feb 2024 23:00:00 -0000

ros-kilted-plotjuggler (3.8.10-1noble) noble; urgency=high

  * Fix issue #924: crash when loading rosbag with std_msgs/Empty
  * Allow ZMQ plugin to work as server
  * Link against Abseil for macOS builds & improve macOS compile docs #845 <https://github.com/facontidavide/PlotJuggler/issues/845> (#905 <https://github.com/facontidavide/PlotJuggler/issues/905>)
  * fix issue in CSV #926 <https://github.com/facontidavide/PlotJuggler/issues/926>
  * attempt to match ambiguous ros msg within package before using external known type (#922 <https://github.com/facontidavide/PlotJuggler/issues/922>)
  * Contributors: Davide Faconti, Manuel Valch, Will MacCormack, rugged-robotics

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 25 Jan 2024 23:00:00 -0000

ros-kilted-plotjuggler (3.8.9-1noble) noble; urgency=high

  * fix bug #924 <https://github.com/facontidavide/PlotJuggler/issues/924> (messages with no fields)
  * Bugfix: Wrong curvestyle is preselected (#921 <https://github.com/facontidavide/PlotJuggler/issues/921>)
  * Contributors: Davide Faconti, Simon Sagmeister

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 23 Jan 2024 23:00:00 -0000

ros-kilted-plotjuggler (3.8.8-1noble) noble; urgency=high

  * new update screen
  * Update README.md
  * dig diagnostic messages
  * fix snap in CI
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 17 Jan 2024 23:00:00 -0000

ros-kilted-plotjuggler (3.8.7-1noble) noble; urgency=high

  * add "prefix and merge" checkbox
  * fix warning "transparent.png"
  * fix issue #912 <https://github.com/facontidavide/PlotJuggler/issues/912>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 15 Jan 2024 23:00:00 -0000

ros-kilted-plotjuggler (3.8.6-1noble) noble; urgency=high

  * fix issue #906 <https://github.com/facontidavide/PlotJuggler/issues/906>: support nanoseconds timestamp in csv
  * fix issue #904 <https://github.com/facontidavide/PlotJuggler/issues/904>: wring ROS odometry parsing
  * add moving variance
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 08 Jan 2024 23:00:00 -0000

ros-kilted-plotjuggler (3.8.5-1noble) noble; urgency=high

  * fix issue #901 <https://github.com/facontidavide/PlotJuggler/issues/901>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 02 Jan 2024 23:00:00 -0000

ros-kilted-plotjuggler (3.8.4-1noble) noble; urgency=high

  * critical bug fix: #864 <https://github.com/facontidavide/PlotJuggler/issues/864> #856 <https://github.com/facontidavide/PlotJuggler/issues/856>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 19 Dec 2023 23:00:00 -0000

ros-kilted-plotjuggler (3.8.1-1noble) noble; urgency=high

  * data_tamer added to rosx_introspection
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 22 Nov 2023 23:00:00 -0000

ros-kilted-plotjuggler (3.8.0-1noble) noble; urgency=high

  * data_tamer updated
    This reverts commit 4ba24c591a9a84fbfb6c0329b787d73f98a2b23b.
  * CI updated
  * qwt updated
  * Merge pull request #869 <https://github.com/facontidavide/PlotJuggler/issues/869> from zdavkeos/step_interpolation
    Add "Steps" when drawing curves
  * Merge pull request #870 <https://github.com/facontidavide/PlotJuggler/issues/870> from MirkoFerrati/patch-3
    Fix missing '22' in the new snap core22 workflow
  * Fix missing '22' in the new snap core22 workflow
  * Merge pull request #849 <https://github.com/facontidavide/PlotJuggler/issues/849> from MirkoFerrati/mirko/core22_snap
    update to core22, remove ros1, enable humble instead of foxy
  * Add "Steps" when drawing curves
  * Remove deprecated messages from foxy
  * Skip git security check for git owner inside the snap container
  * Adapt to new snapcraft syntax for core22, sort stage-packages
  * swap default snap with core22 snap for ros humble
  * duplicate the snap github action to publish new humble track
  * add snap for core22, remove ros1, enable humble
  * Merge pull request #853 <https://github.com/facontidavide/PlotJuggler/issues/853> from MirkoFerrati/mirko/fix_snap
    remove deprecated msg from snapcraft
  * Merge pull request #846 <https://github.com/facontidavide/PlotJuggler/issues/846> from locusrobotics/fix-catkin-build
    Use a more reliable method to select buildtool
  * fix
  * MCAP loader is not faster for large files
  * fix parsers names
  * extend the Toolbox plugin interface
  * mcap updated
  * remove deprecated msg from snapcraft
  * Use a more reliable method to select buildtool
  * Merge pull request #843 <https://github.com/facontidavide/PlotJuggler/issues/843> from faisal-shah/date-time-format-urls
    Add link to QDate format string
  * Add 'tab' as a separator in the CSV loader
  * Add link to QDate format string
    A link to QTime format string was there, but not QDate
  * Merge pull request #840 <https://github.com/facontidavide/PlotJuggler/issues/840> from jbendes/zcm-improvements
    Zcm improvements
  * Moved away from std function for speed
  * Fixed loading of selected channels from layout
  * Merge pull request #827 <https://github.com/facontidavide/PlotJuggler/issues/827> from jbendes/zcm
    Added zcm streaming support
  * Merge pull request #834 <https://github.com/facontidavide/PlotJuggler/issues/834> from rinnaz/fix-protobuf-parser-leak
    Fix memory leak in protobuf parser
  * Made transport text box wider
  * Looking for zcm in alternate directory first
  * A bit more stable
  * Serializing and deserializing dataloader for zcm in layout
  * fix: memory leak in protobuf parser
  * Reverted change
  * Changed to ZCM_DEFAULT_URL
  * ZCM refactored
  * ZCM works, with single type file
  * Cleaner loading dialogs
  * Added progress dialog
  * Added channel selection
  * Added data loading from files
  * A bit of simplification and bug fix
  * Added zcm streaming support
  * Add missing cstdint include
  * Contributors: Davide Faconti, Faisal Shah, Jonathan Bendes, Mirko Ferrati, Paul Bovbel, Rinat Nazarov, Zach Davis, joajfreitas

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 11 Nov 2023 23:00:00 -0000

ros-kilted-plotjuggler (3.7.0-1noble) noble; urgency=high

  * Handle protobuf maps (#824 <https://github.com/facontidavide/PlotJuggler/issues/824>)
    Protobuf maps are just repeated protobuf messages with only 2 fields
    "key" and "value". Extract the map's key and use it in the series name
    and skip adding series for "key" fields to reduce the number of non
    useful series. Additionally don't include "value" in the series name for
    the value of a map.
  * add progress dialog to MCAP loading
  * new plugin: DataTamer parser
  * performance optimization in pushBack
  * more information in MCAP error
  * optimization in MoveData
  * address #820 <https://github.com/facontidavide/PlotJuggler/issues/820>
  * Prevent runtime_error exceptions from plugins crashing the main app (#812 <https://github.com/facontidavide/PlotJuggler/issues/812>)
    Catch runtime_error exceptions thrown from the plugins and skip the throwing plugins, so that the main app can continue its normal operation.
  * fix(snap): add libzstd for mcap support (#815 <https://github.com/facontidavide/PlotJuggler/issues/815>)
  * Update README.md
  * Add a "central difference" method of derivative calculation (#813 <https://github.com/facontidavide/PlotJuggler/issues/813>)
  * Updating COMPILE dependencies to install (#810 <https://github.com/facontidavide/PlotJuggler/issues/810>)
    Taken from CI: https://github.com/facontidavide/PlotJuggler/blob/main/.github/workflows/ubuntu.yaml#L20-L31
  * Fix the bug where the shared library Parquet is not linked (#807 <https://github.com/facontidavide/PlotJuggler/issues/807>)
    The actual path to the shared library is in ${PARQUET_SHARED_LIB} instead of in
    ${PARQUET_LIBRARIES}.
  * Add CMake into comp vars and minor format improvements (#804 <https://github.com/facontidavide/PlotJuggler/issues/804>)
    Co-authored-by: Erick G. Islas Osuna <mailto:eislasosuna@netflix.com>
  * Fix for missing preferences (#795 <https://github.com/facontidavide/PlotJuggler/issues/795>)
  * fix typos in "tips and tricks" cheatsheet (#798 <https://github.com/facontidavide/PlotJuggler/issues/798>)
    fix a couple of minor typos in dialog text
  * Support Proto's That Reference Google/Protobuf (#793 <https://github.com/facontidavide/PlotJuggler/issues/793>)
  * Fix for segfault in DataLoadCSV destructor (#784 <https://github.com/facontidavide/PlotJuggler/issues/784>)
    - Change order of deletion for dialogs.
    - First delete child dialog _dateTime_dialog then parent
    _dialog.
  * Add CodeQL workflow (#765 <https://github.com/facontidavide/PlotJuggler/issues/765>)
  * [bugfix] String deserialization (#780 <https://github.com/facontidavide/PlotJuggler/issues/780>)
  * forgot throw
  * fixing nan check (#777 <https://github.com/facontidavide/PlotJuggler/issues/777>)
  * Update Reactive Scripts on playback loop (#771 <https://github.com/facontidavide/PlotJuggler/issues/771>)
  * fix
  * Contributors: Alistair, AndyZe, Bartimaeus-, Connor Anderson, Davide Faconti, Erick G. Islas-Osuna, Guillaume Beuzeboc, Mark Cutler, Michael Orlov, Peter Stöckli, Sam Pfeiffer, Zach Davis, Zheng Qu, augustinmanecy, ozzdemir

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 18 May 2023 22:00:00 -0000

ros-kilted-plotjuggler (3.6.1-1noble) noble; urgency=high

  * apply changes suggested in #767 <https://github.com/facontidavide/PlotJuggler/issues/767>
  * fix parsing of custom types added multiple times in messages (#769 <https://github.com/facontidavide/PlotJuggler/issues/769>)
  * ZMQ: Add topics filtering (#730 <https://github.com/facontidavide/PlotJuggler/issues/730>)
  * Add CSV loader date-time format help dialog (#731 <https://github.com/facontidavide/PlotJuggler/issues/731>)
  * Set MQTT topics list to be multi-selectable (#745 <https://github.com/facontidavide/PlotJuggler/issues/745>)
  * Always use topic names for creating MQTT parsers (#746 <https://github.com/facontidavide/PlotJuggler/issues/746>)
  * fix typo (#770 <https://github.com/facontidavide/PlotJuggler/issues/770>)
  * Fix/add other dds vendors (#763 <https://github.com/facontidavide/PlotJuggler/issues/763>)
  * Add option to build plotjuggler_base to shared library (#757 <https://github.com/facontidavide/PlotJuggler/issues/757>)
  * Add a new meme with The Rock (#751 <https://github.com/facontidavide/PlotJuggler/issues/751>)
  * Add precision to CSV export to handle geocoordinates (#753 <https://github.com/facontidavide/PlotJuggler/issues/753>)
  * compile: add cmake to brew install (#742 <https://github.com/facontidavide/PlotJuggler/issues/742>)
  * Add MIT license notice to QCodeEditor dddition (#733 <https://github.com/facontidavide/PlotJuggler/issues/733>)
    Added per https://github.com/facontidavide/PlotJuggler/issues/732
  * Fix multi-plugin selection (#739 <https://github.com/facontidavide/PlotJuggler/issues/739>)
    Broken in #726 <https://github.com/facontidavide/PlotJuggler/issues/726>. If all plugins are enabled, then opening a file supported by multiple plugins does not work.
  * 
    
      * Add drag n drop (#726 <https://github.com/facontidavide/PlotJuggler/issues/726>)
      * Ignore VSCode and OS X files
    
  * readme: add details about default snap command (#727 <https://github.com/facontidavide/PlotJuggler/issues/727>)
  * Add mac compilation section (#725 <https://github.com/facontidavide/PlotJuggler/issues/725>)
  * Update README.md (#723 <https://github.com/facontidavide/PlotJuggler/issues/723>)
    minor typos
  * Update README.md
  * Update COMPILE.md
  * Contributors: Andrew Van Overloop, Bartimaeus-, Bonkura, Davide Faconti, Guillaume Beuzeboc, Jeff Ithier, Jeremie Deray, Mark Cutler, Orhan G. Hafif, Romain Reignier, Zach Davis

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 17 Dec 2022 23:00:00 -0000

ros-kilted-plotjuggler (3.6.0-1noble) noble; urgency=high

  * More memes
  * Refactoring of the MessageParser plugins
  * Mcap support (#722 <https://github.com/facontidavide/PlotJuggler/issues/722>)
  * Improve CSV loader error handling (#721 <https://github.com/facontidavide/PlotJuggler/issues/721>)
  * Fix plotwidget drag and drop bug (Issue #716 <https://github.com/facontidavide/PlotJuggler/issues/716>) (#717 <https://github.com/facontidavide/PlotJuggler/issues/717>)
  * fix(snap): remove yaml grade (#718 <https://github.com/facontidavide/PlotJuggler/issues/718>)
    grade is set from the part
    YAML grade has priority over the programmed one so we remove it
  * Contributors: Bartimaeus-, Davide Faconti, Guillaume Beuzeboc

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 12 Aug 2022 22:00:00 -0000

ros-kilted-plotjuggler (3.5.2-1noble) noble; urgency=high

  * fix issue #642 <https://github.com/facontidavide/PlotJuggler/issues/642>
  * fix FFT toolbox
  * Add options for enabling/disabling autozoom in preferences (#704 <https://github.com/facontidavide/PlotJuggler/issues/704>)
  * add support for custom window titles (#715 <https://github.com/facontidavide/PlotJuggler/issues/715>)
  * Fix/snap rosbag (#714 <https://github.com/facontidavide/PlotJuggler/issues/714>)
  * fix mosquitto build in linux
  * Better cmake (#710 <https://github.com/facontidavide/PlotJuggler/issues/710>)
  * fix #707 <https://github.com/facontidavide/PlotJuggler/issues/707>
  * better installation instructions
  * fix(snap): reapply changes remove by the merge of main (#703 <https://github.com/facontidavide/PlotJuggler/issues/703>)
  * save ColorMaps in layout
  * Contributors: Bartimaeus-, Davide Faconti, Guillaume Beuzeboc, grekiki

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 04 Aug 2022 22:00:00 -0000

ros-kilted-plotjuggler (3.5.1-1noble) noble; urgency=high

  * Dev/ros1 ros2 snap (#698 <https://github.com/facontidavide/PlotJuggler/issues/698>)
  * update nlohmann json to fix #640 <https://github.com/facontidavide/PlotJuggler/issues/640>
  * should prevent error #696 <https://github.com/facontidavide/PlotJuggler/issues/696>
  * Merge branch 'improved_zoomout' into main
  * cleanup after #702 <https://github.com/facontidavide/PlotJuggler/issues/702>
  * Statistics dialog improvements and bug fixes (#702 <https://github.com/facontidavide/PlotJuggler/issues/702>)
  * Include std::thread instead of QThread, since it is being utilized in the mqtt plugin instead of QThread. (#700 <https://github.com/facontidavide/PlotJuggler/issues/700>)
  * fix zmq compilation
  * cherry picking from #698 <https://github.com/facontidavide/PlotJuggler/issues/698>
  * increase playback step precision (#692 <https://github.com/facontidavide/PlotJuggler/issues/692>)
  * Fix typo in ColorMap warning (#693 <https://github.com/facontidavide/PlotJuggler/issues/693>)
  * Set buttonBackground icon in .ui file (#694 <https://github.com/facontidavide/PlotJuggler/issues/694>)
  * Update README.md
  * Fix #697 <https://github.com/facontidavide/PlotJuggler/issues/697>
  * update sol2 and fix #687 <https://github.com/facontidavide/PlotJuggler/issues/687>
  * try to improve the linked zoomout
  * Contributors: Bartimaeus-, Davide Faconti, Guillaume Beuzeboc, Hugal31, ozzdemir

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 24 Jul 2022 22:00:00 -0000

ros-kilted-plotjuggler (3.5.0-1noble) noble; urgency=high

  * license changed to MPL 2.0
  * Macos ci (#685 <https://github.com/facontidavide/PlotJuggler/issues/685>)
  * Add CSV table preview and CSV highlighting (#680 <https://github.com/facontidavide/PlotJuggler/issues/680>)
    * Add CSV table preview and CSV highlighting
    * add toggles for enabling CSV table view and syntax highlighting
  * Fix start/end time bug in CSV Exporter (#682 <https://github.com/facontidavide/PlotJuggler/issues/682>)
  * Add tooltips to CSV publisher buttons (#683 <https://github.com/facontidavide/PlotJuggler/issues/683>)
    -Add tooltips to the buttons that set the start/end time based on vertical time tracker position
    -add missing space in text ("timerange" to "time range")
  * Fix #415 <https://github.com/facontidavide/PlotJuggler/issues/415>
  * add statistics
  * Add background editor
  * fix crash in Parquet plugin
  * Add line numbers to csv loader (#679 <https://github.com/facontidavide/PlotJuggler/issues/679>)
  * Fix type-o in reactive script editor (#678 <https://github.com/facontidavide/PlotJuggler/issues/678>)
    missing "r" in "ScatterXY"
  * Contributors: Bartimaeus-, Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 11 Jul 2022 22:00:00 -0000

ros-kilted-plotjuggler (3.4.5-1noble) noble; urgency=high

  * fix compilation
  * add QCodeEditor
  * CI: cmake ubuntu/Windows
  * Fix CSV generated time axis. (#666 <https://github.com/facontidavide/PlotJuggler/issues/666>)
    Previously the CSV dataload plugin was not saving the correct XML state
    when a generated time axis was used.
  * Added support for converted int types (#673 <https://github.com/facontidavide/PlotJuggler/issues/673>)
    * Added support for converted int types
    * Added fallback for int32 and int64
    Co-authored-by: Rano Veder <mailto:r.veder@primevision.com>
  * Add tooltip to the zoom out button (#670 <https://github.com/facontidavide/PlotJuggler/issues/670>)
  * PlotJuggler will generate its own cmake target
  * Parquet plugin (#664 <https://github.com/facontidavide/PlotJuggler/issues/664>)
  * fix Cancel button in CSV loader (#659 <https://github.com/facontidavide/PlotJuggler/issues/659>)
  * Make tutorial link open in browser when clicked (#660 <https://github.com/facontidavide/PlotJuggler/issues/660>)
    Similar to https://github.com/facontidavide/PlotJuggler/pull/658 but applied to the tutorial link in the reactive lua editor
  * accept white lines in CSV
  * Update README.md (#661 <https://github.com/facontidavide/PlotJuggler/issues/661>)
  * Make link open in browser when clicked (#658 <https://github.com/facontidavide/PlotJuggler/issues/658>)
    Set openExternalLinks property of label_4 to true to allow the hyperlink to open in a web browser when clicked
  * Fix  #655 <https://github.com/facontidavide/PlotJuggler/issues/655>. Add autoZoom to transform dialog
  * Rememvber CSV time column. Cherry picking from #657 <https://github.com/facontidavide/PlotJuggler/issues/657>.
  * fix #650 <https://github.com/facontidavide/PlotJuggler/issues/650>
  * Contributors: Andrew Goessling, Bartimaeus-, Davide Faconti, Konstantinos Lyrakis, Rano Veder, Zach Davis

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 28 Jun 2022 22:00:00 -0000

ros-kilted-plotjuggler (3.4.4-1noble) noble; urgency=high

  * fix issue #561 <https://github.com/facontidavide/PlotJuggler/issues/561>
  * add STATUS to CmakeLists.txt message() to avoid 'message called with incorrect number of arguments' (#649 <https://github.com/facontidavide/PlotJuggler/issues/649>)
    cmake 3.22.1 errors on this
  * Passing CI on ROS2 Rolling (#629 <https://github.com/facontidavide/PlotJuggler/issues/629>)
    * fix ament-index-cpp dependency on ubuntu jammy
    * add rolling ci
  * Modify install command and make it easier to install (#620 <https://github.com/facontidavide/PlotJuggler/issues/620>)
  * Contributors: Davide Faconti, Kenji Brameld, Krishna, Lucas Walter

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 14 May 2022 22:00:00 -0000

ros-kilted-plotjuggler (3.4.3-1noble) noble; urgency=high

  * Apply changes to reactive Scripts
  * improve reactive Scripts
  * clear selections when CustomSeries is created
  * save batch function settings
  * cleaning up #601 <https://github.com/facontidavide/PlotJuggler/issues/601>
  * Timestampfield (#601 <https://github.com/facontidavide/PlotJuggler/issues/601>)
  * add new batch editor
  * check validity of the Lua function
  * consolidate tree view
  * add missing files and use CurveTree
  * multifile prefix
  * ReactiveLuaFunction cleanup
  * adding absolute transform
  * small UI fix
  * Contributors: Davide Faconti, ngpbach

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-kilted-plotjuggler (3.4.2-1noble) noble; urgency=high

  * delete orhphaned transforms
  * bug fix that cause crash
  * fix error #603 <https://github.com/facontidavide/PlotJuggler/issues/603>
  * Fix #594 <https://github.com/facontidavide/PlotJuggler/issues/594>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 11 Feb 2022 23:00:00 -0000

ros-kilted-plotjuggler (3.4.1-1noble) noble; urgency=high

  * add flip axis
  * fix zoom in icon
  * Fix typo in toolbox Lua (#598 <https://github.com/facontidavide/PlotJuggler/issues/598>)
  * Fix MutableTimeseries shadowed by MutableScatterXY (#597 <https://github.com/facontidavide/PlotJuggler/issues/597>)
    * Fix MutableTimeseries shadowed by MutableScatterXY
    * add math library
    Co-authored-by: Simon CHANU <mailto:simon.chanu@cmdl.pro>
  * MQTT upgraded
  * Update README.md
  * Installer and readme updates
  * Contributors: Davide Faconti, SebasAlmagro, Simon CHANU

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 05 Feb 2022 23:00:00 -0000

ros-kilted-plotjuggler (3.4.0-1noble) noble; urgency=high

  * fix #585 <https://github.com/facontidavide/PlotJuggler/issues/585>
  * fix #560 <https://github.com/facontidavide/PlotJuggler/issues/560>
  * fix #575 <https://github.com/facontidavide/PlotJuggler/issues/575>
  * Reactive scripts (#589 <https://github.com/facontidavide/PlotJuggler/issues/589>)
  * Fix Quaternion toolbox, issue #587 <https://github.com/facontidavide/PlotJuggler/issues/587>
  * fix double delete
  * fix memory leaks #582 <https://github.com/facontidavide/PlotJuggler/issues/582>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 28 Jan 2022 23:00:00 -0000

ros-kilted-plotjuggler (3.3.5-1noble) noble; urgency=high

  * fix zoom issue when toggling T_offset
  * cosmetic changes
  * show missing curves in error dialog (#579 <https://github.com/facontidavide/PlotJuggler/issues/579>)
  * fix #550 <https://github.com/facontidavide/PlotJuggler/issues/550>
  * Contributors: Adeeb Shihadeh, Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 03 Jan 2022 23:00:00 -0000

ros-kilted-plotjuggler (3.3.4-1noble) noble; urgency=high

  * Video plugin (#574 <https://github.com/facontidavide/PlotJuggler/issues/574>)
  * gitignore *.swp files (#569 <https://github.com/facontidavide/PlotJuggler/issues/569>)
  * Added libprotoc-dev to the apt install targets (#573 <https://github.com/facontidavide/PlotJuggler/issues/573>)
  * turn on Sol3 safety flag
  * trying to solve reported issue with Lua
  * add fields that were not set in Protobuf
  * Protobuf update (#568 <https://github.com/facontidavide/PlotJuggler/issues/568>)
  * add zoomOut after loadDataFile
  * Protobuf options refactored
  * changed the protobuf implementation to deal with dependencies
  * Protobuf parser and MQTT plugins
  * Merge pull request #531 <https://github.com/facontidavide/PlotJuggler/issues/531> from erickisos/fix/517
    Homebrew path added into CMakeLists #517 <https://github.com/facontidavide/PlotJuggler/issues/517>
  * LUA version updated
  * fix dependency between transformed series
  * fix issue #557 <https://github.com/facontidavide/PlotJuggler/issues/557>
  * Homebrew path added into CMakeLists
  * Contributors: Adeeb Shihadeh, Davide Faconti, Erick G. Islas-Osuna, Miklós Márton

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 27 Dec 2021 23:00:00 -0000

ros-kilted-plotjuggler (3.3.3-1noble) noble; urgency=high

  * Fix critical bug when loading a file twice
  * change order of removal
  * fix crash when one of the source of XY is deleted
  * fix issue #549 <https://github.com/facontidavide/PlotJuggler/issues/549> (comma decima separator)
  * Fix issue #545 <https://github.com/facontidavide/PlotJuggler/issues/545>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 29 Oct 2021 22:00:00 -0000

ros-kilted-plotjuggler (3.3.2-1noble) noble; urgency=high

  * don't add the prefix. Checkbox added
  * bug fix when accidentally merging datafiles
  * clang-format
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 20 Oct 2021 22:00:00 -0000

ros-kilted-plotjuggler (3.3.1-1noble) noble; urgency=high

  * fix #527 <https://github.com/facontidavide/PlotJuggler/issues/527>
  * avoid shared libraries in libkissFFT
  * Fix #524 <https://github.com/facontidavide/PlotJuggler/issues/524> and #529 <https://github.com/facontidavide/PlotJuggler/issues/529>
  * Fix bug with Outlier Removal (#532 <https://github.com/facontidavide/PlotJuggler/issues/532>)
  * minor changes
  * Implement Moving RMS filter #510 <https://github.com/facontidavide/PlotJuggler/issues/510>
  * Fix issue #516 <https://github.com/facontidavide/PlotJuggler/issues/516>
    - Don't show more than once "Do you want to delete old data" when
    loading multiple files.
    - Correctly clean all the data, including _loaded_datafiles
  * Update README.md
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 03 Oct 2021 22:00:00 -0000

ros-kilted-plotjuggler (3.3.0-1noble) noble; urgency=high

  * add "start_streamer" option
  * Support MacOS and Dark Mode
  * custom SplitLine function in CSV. Fix #509 <https://github.com/facontidavide/PlotJuggler/issues/509>
  * fix issue  #507 <https://github.com/facontidavide/PlotJuggler/issues/507>
  * New CSV plugin
  * Back to static libraries ( #507 <https://github.com/facontidavide/PlotJuggler/issues/507>)
  * Fixed wrong slot name on PreferecesDialog and moved skin-based setting of MainWindowTitle after the setupUi() call
  * fix typo in preferences dialog
  * add notifications from Streaming plugins (#489 <https://github.com/facontidavide/PlotJuggler/issues/489>)
  * cherry picking features from #489 <https://github.com/facontidavide/PlotJuggler/issues/489>
    - new options [enabled_plugins] and [disabled_plugins]
    - new option [skin_path]
  * remove potential issue with TransformFunction::reset
  * remove .appveyor.yml
  * prefer the PlotAttribute enum instead of string
  * add changes similar to #424 <https://github.com/facontidavide/PlotJuggler/issues/424>
  * Fast Fourier Transform plugin added
  * ToolboxQuaternion added
  * toolbox plugins introduced
  * add latest fmt
  * unified TransformFunction
  * change name of Transforms plugins
  * Contributors: Davide Faconti, GerardoPardo, myd7349

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 06 Sep 2021 22:00:00 -0000

ros-kilted-plotjuggler (3.2.1-1noble) noble; urgency=high

  * adding string reference
  * qwt updated and fix for #463 <https://github.com/facontidavide/PlotJuggler/issues/463>
  * fix #461 <https://github.com/facontidavide/PlotJuggler/issues/461>
  * add quaternion to Euler conversion snippets (#459 <https://github.com/facontidavide/PlotJuggler/issues/459>)
    Add 3 functions to convert a Hamiltonian attitude quaternion to its Euler (Trait-Bryan 321) representation
  * fix typo when building without ROS support (#460 <https://github.com/facontidavide/PlotJuggler/issues/460>)
  * Update README.md
  * Contributors: Davide Faconti, Mathieu Bresciani, Nuno Marques

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 19 Jun 2021 22:00:00 -0000

ros-kilted-plotjuggler (3.2.0-1noble) noble; urgency=high

  * file removed
  * fix potential bug in StringSeries
  * fix rebase
  * apply color and style recursively in a group
  * delete button added. CPU optimized
  * apply the array visualization in the curvelist_panel itself
  * bug fix
  * add deleteSerieFromGroup
  * Fix "TextColor" in dark mode
  * fix PlotGroup and new attributes
  * multiple changes
    - remove redundant importPlotDataMapHelper
    - add "text_color" attribute
    - change the way _replot_timer works (one shot triggered by
    DataStreamer::dataReceived() )
  * adding PlotGroups and alternative "tree_name"
  * bug fix
  * fix issue when starting streaming plugins (add placeholders)
  * string series seems to work
  * WIP
  * embracing C++17 and new data structure to accommodate more types
  * Updated support for windows build + installer (#396 <https://github.com/facontidavide/PlotJuggler/issues/396>)
    Added win32build.bat batch file for easy windows builds (need to update QT path variables inside to correct ones in case it does not work)
  * Fix issue #453 <https://github.com/facontidavide/PlotJuggler/issues/453>, #419 <https://github.com/facontidavide/PlotJuggler/issues/419> and #405 <https://github.com/facontidavide/PlotJuggler/issues/405> . Ulog path in Windows
  * Lag and crash fixed (#455 <https://github.com/facontidavide/PlotJuggler/issues/455>)
    * reduce lag when looking for streams
    * crash fixed when lsl stream start and stop
    * select all button added for LSL plugin
  * Update README.md
  * Update appimage.md
  * Contributors: Celal Savur, Davide Faconti, alkaes

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 12 Jun 2021 22:00:00 -0000

ros-kilted-plotjuggler (3.1.2-1noble) noble; urgency=high

  * add disable_opnegl option in command line
  * new API for MessagePublishers
  * bug fix that affects statepublishers
    crash when application is closed
  * bug fix in Plotwidget transform
  * AppImage instructions added
  * fix #445 <https://github.com/facontidavide/PlotJuggler/issues/445>
  * change to QHostAddress::Any in UDP plugin (issue #410 <https://github.com/facontidavide/PlotJuggler/issues/410>)
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 02 Jun 2021 22:00:00 -0000

ros-kilted-plotjuggler (3.1.1-1noble) noble; urgency=high

  * ulog: ignore parameter default message (#413 <https://github.com/facontidavide/PlotJuggler/issues/413>)
  * Fix typo in "load transformations" prompt (#416 <https://github.com/facontidavide/PlotJuggler/issues/416>)
  * added CSV export plugin
  * fix opengl preference
  * added options to enable OpenGL and TreeView
  * Add libqt5x11extras5-dev into installation guide for fedora/ubuntu users. (#418 <https://github.com/facontidavide/PlotJuggler/issues/418>)
  * Fix issue #405 <https://github.com/facontidavide/PlotJuggler/issues/405> with ULOG in windows
  * Use format string when time index is not a number (#406 <https://github.com/facontidavide/PlotJuggler/issues/406>)
  * XY curve markers: fixed colors and removed ghosts symbols (#407 <https://github.com/facontidavide/PlotJuggler/issues/407>)
  * Updated support for windows build + installer (#396 <https://github.com/facontidavide/PlotJuggler/issues/396>)
  * fix warnings and move to C++17
  * fix warnings in MSVS
  * Contributors: Beat Küng, Davide Faconti, Faisal Shah, Gabriel, Shawn, alessandro, alkaes

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 15 May 2021 22:00:00 -0000

ros-kilted-plotjuggler (3.1.0-1noble) noble; urgency=high

  * fix issue #394 <https://github.com/facontidavide/PlotJuggler/issues/394>
  * Update udp_server.cpp (#393 <https://github.com/facontidavide/PlotJuggler/issues/393>)
    Fixes random corruptions of UDP Json messages (garbage collector related?)
  * Fix style in Windows (#390 <https://github.com/facontidavide/PlotJuggler/issues/390>)
  * Fix compilation in C++17
  * fix issue #389 <https://github.com/facontidavide/PlotJuggler/issues/389>
  * remove qrand
  * Add better help dialog to custom functions
  * Allow custom function return multiple points (#386 <https://github.com/facontidavide/PlotJuggler/issues/386>)
  * Apple Mac M1 build fix. (#392 <https://github.com/facontidavide/PlotJuggler/issues/392>)
    backward-cpp dependency fix for ARM 64 backport, wrong access to PC register.
  * fix issue #384 <https://github.com/facontidavide/PlotJuggler/issues/384>
  * temporary remove LSL
  * Contributors: David CARLIER, Davide Faconti, Hugal31, alkaes

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 30 Jan 2021 23:00:00 -0000

ros-kilted-plotjuggler (3.0.7-1noble) noble; urgency=high

  * Add plugin folders in the preference dialog
  * fix issue #370 <https://github.com/PlotJuggler/PlotJuggler/issues/370>: libDataStreamMQTT compilation with Clang
  * fix command line options
  * change the way ROS path are added to the list of plugins
  * fixing windows builds, for real this time. (#379 <https://github.com/PlotJuggler/PlotJuggler/issues/379>)
  * fix bug when datapoints are cleared
  * remember the directory in the FunctionEditor
  * moved file svg_util
  * Add warning when a CSV file is malformed, and suggested in #378 <https://github.com/PlotJuggler/PlotJuggler/issues/378>
  * Fixed message_parser plugin loading segfault (#376 <https://github.com/PlotJuggler/PlotJuggler/issues/376>)
  * Contributors: Davide Faconti, Jordan McMichael, davide

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 04 Jan 2021 23:00:00 -0000

ros-kilted-plotjuggler (3.0.6-1noble) noble; urgency=high

  * fix issue  #372 <https://github.com/PlotJuggler/PlotJuggler/issues/372> (install didn't work)
  * Update rangeX during streaming
  * LabStreamlayer (LSL) plugin is developed. (#355 <https://github.com/PlotJuggler/PlotJuggler/issues/355>)
  * Update CMakeLists.txt (#363 <https://github.com/PlotJuggler/PlotJuggler/issues/363>)
  * Contributors: Celal Savur, Davide Faconti, Tobias Fischer

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 23 Dec 2020 23:00:00 -0000

ros-kilted-plotjuggler (3.0.5-1noble) noble; urgency=high

  * fix a crash when data is cleared during streaming (LuaCustomFunction)
  * should fix issue #360 <https://github.com/PlotJuggler/PlotJuggler/issues/360> with stylesheet
  * fix bug #359 <https://github.com/PlotJuggler/PlotJuggler/issues/359>
  * fix compilation error
  * Some template types have an enum ItemType. MSVC fails with compilation (#358 <https://github.com/PlotJuggler/PlotJuggler/issues/358>)
    error.
  * Add required Qt5::Network for DataStreamUDP (#356 <https://github.com/PlotJuggler/PlotJuggler/issues/356>)
  * Contributors: Davide Faconti, Tobias Fischer, gabm

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 09 Dec 2020 23:00:00 -0000

ros-kilted-plotjuggler (3.0.4-1noble) noble; urgency=high

  * Lua and Sol updated (c++17
  * bug fix #350 <https://github.com/PlotJuggler/PlotJuggler/issues/350> (crash in lua)
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 03 Dec 2020 23:00:00 -0000

ros-kilted-plotjuggler (3.0.2-1noble) noble; urgency=high

  * fix icon color in dark mode
  * updated to latest Qads
  * temporary fix for #349 <https://github.com/PlotJuggler/PlotJuggler/issues/349>
  * link updated
  * use correct dependency
  * fix issue #348 <https://github.com/PlotJuggler/PlotJuggler/issues/348>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 27 Nov 2020 23:00:00 -0000

ros-kilted-plotjuggler (3.0.0-1noble) noble; urgency=high

  * Trying to fix issue #346 <https://github.com/facontidavide/PlotJuggler/issues/346>
  * Massive refactoring
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 22 Nov 2020 23:00:00 -0000

ros-kilted-plotjuggler (2.8.4-1noble) noble; urgency=high

  * readme updated
  * fix issue #318 <https://github.com/facontidavide/PlotJuggler/issues/318>
  * fix  #170 <https://github.com/facontidavide/PlotJuggler/issues/170> : problem with ULOG parser in Windows
  * build fixes to work on ROS2 eloquent (#314 <https://github.com/facontidavide/PlotJuggler/issues/314>)
  * add qtpainterpath.h (#313 <https://github.com/facontidavide/PlotJuggler/issues/313>)
  * Update datastream_sample.cpp
  * Update contributors.txt
  * Fix another sprintf buffer size warning (#303 <https://github.com/facontidavide/PlotJuggler/issues/303>)
  * Contributors: Akash Patel, Davide Faconti, Lucas, Mike Purvis

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 14 Aug 2020 22:00:00 -0000

ros-kilted-plotjuggler (2.8.3-1noble) noble; urgency=high

  * more memes
  * "New version available" improved
  * fix segmentation fault when trying reconnect to ROS master
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 10 Jul 2020 22:00:00 -0000

ros-kilted-plotjuggler (2.8.2-1noble) noble; urgency=high

  * might fix issue #301 <https://github.com/facontidavide/PlotJuggler/issues/301>
  * fix warnings
  * fix potential mutex problem related to #300 <https://github.com/facontidavide/PlotJuggler/issues/300>
  * bug fix
  * Update package.xml
  * updated gif
  * cherry picking changes from #290 <https://github.com/facontidavide/PlotJuggler/issues/290>
  * fix #296 <https://github.com/facontidavide/PlotJuggler/issues/296>
  * fix issues on windows Qt 5.15
  * fix error
  * move StatePublisher to tf2
  * revert changes
  * fix warnings
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 06 Jul 2020 22:00:00 -0000

ros-kilted-plotjuggler (2.8.1-1noble) noble; urgency=high

  * fix critical bug in streaming ROS plugin
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 27 May 2020 22:00:00 -0000

ros-kilted-plotjuggler (2.8.0-1noble) noble; urgency=high

  * Update CMakeLists.txt
  * Added graph context menu description (#288 <https://github.com/facontidavide/PlotJuggler/issues/288>)
  * Update FUNDING.yml
  * Merge branch 'master' of https://github.com/facontidavide/PlotJuggler
  * finished with refactoring
  * WIP: re publisher ROS2
  * added stuff to dataload_ros2
  * Update appimage_howto.md
  * fix package name
  * embrace pj_msgs (https://github.com/facontidavide/plotjuggler_msgs)
  * new clang format and fix in header_stamp usage
  * removed marl and rule editing
  * more parsers added
  * more or less working
  * save computation like a champ with plot_data in each parser
  * precompute strings only once
  * fix compilation on ROS1
  * Merge branch 'master' of https://github.com/facontidavide/PlotJuggler
  * builtin parsers added
  * Githug actions win (#284 <https://github.com/facontidavide/PlotJuggler/issues/284>)
    * try compiling on windows
    * Update windows.yaml
    * multiple workflows
    * Update README.md
    Co-authored-by: mailto:daf@blue-ocean-robotics.com <Davide Faconti>
  * bug fix
  * segfault fixed in TypeHasHeader
  * removed rosdep of pj_msgs
  * added pj_msgs to ROS2
  * fix errors
  * heavy refactoring of ROS2 plugins
  * critical bug fix in ROS2 parsing
  * try to fix problem with StringTreeLeaf::toStr
  * reduce a bit allocations overhead
  * reduce memory used by the job queue of marl, with periodic flushes
  * Contributors: Davide Faconti, Ilya Petrov

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 23 May 2020 22:00:00 -0000

ros-kilted-plotjuggler (2.7.0-1noble) noble; urgency=high

  * Merge branch 'ros2' of https://github.com/facontidavide/PlotJuggler into ros2
  * added github actions for ros2
  * last fixes to DataStreamROS2
  * implemented DataLoadRosBag2
  * compile with ament/colcon
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 02 May 2020 22:00:00 -0000

ros-kilted-plotjuggler (2.6.4-1noble) noble; urgency=high

  * Fix the damn icons
  * marl updated
  * fix issue #281 <https://github.com/facontidavide/PlotJuggler/issues/281>
  * catch exception in marl
  * fix backward-cpp
  * Implement feature #274 <https://github.com/facontidavide/PlotJuggler/issues/274>
  * Implement feature #269 <https://github.com/facontidavide/PlotJuggler/issues/269>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 29 Apr 2020 22:00:00 -0000

ros-kilted-plotjuggler (2.6.3-1noble) noble; urgency=high

  * Fix issue #271 <https://github.com/facontidavide/PlotJuggler/issues/271>
  * @veimox added
  * Bugfix/executable (#264 <https://github.com/facontidavide/PlotJuggler/issues/264>)
    * created launching script , installing and making use of it in the icon
    * ignoring temporary folders when creating binary locally
    * corrected installation of script
    * using PROGRAM to install it with executable permissions
    Co-authored-by: Jorge Rodriguez <mailto:jr@blue-ocean-robotics.com>
  * Feature/scalable icon (#265 <https://github.com/facontidavide/PlotJuggler/issues/265>)
    * installing icons in /usr/share and do it at any build type
    * added scalable icon
    * removed old icon
    Co-authored-by: Jorge Rodriguez <mailto:jr@blue-ocean-robotics.com>
  * fix default suffix
  * Fix bug #258 <https://github.com/facontidavide/PlotJuggler/issues/258>
  * Contributors: Davide Faconti, Jorge Rodriguez

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 06 Apr 2020 22:00:00 -0000

ros-kilted-plotjuggler (2.6.2-1noble) noble; urgency=high

  * bug fix in IMU parser
  * added step size for the time tracker
  * fis issue #256 <https://github.com/facontidavide/PlotJuggler/issues/256> (new release dialog)
  * Update README.md
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 24 Feb 2020 23:00:00 -0000

ros-kilted-plotjuggler (2.6.1-1noble) noble; urgency=high

  * fix issue #253 <https://github.com/facontidavide/PlotJuggler/issues/253> and some cleanup
  * fix issue #254 <https://github.com/facontidavide/PlotJuggler/issues/254>
  * Fix #251 <https://github.com/facontidavide/PlotJuggler/issues/251>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 20 Feb 2020 23:00:00 -0000

ros-kilted-plotjuggler (2.6.0-1noble) noble; urgency=high

  * bug fix
  * fix splashscreen delay
  * GUI refinement
  * regex filter removed. bug fix in column resize
  * new icons in CurveList panel
  * add text placeholder
  * smaller buttons
  * moved buttons to top right corner to gain more space
  * changed style (sharper corners)
  * bug fix: potential crash trying to save data into rosbag
  * more ememes #248 <https://github.com/facontidavide/PlotJuggler/issues/248>
  * bug fix in Lua functions
  * cleanups
  * Merge branch 'lua_scripting'
  * Adding custom parser for Imu message (issue #238 <https://github.com/facontidavide/PlotJuggler/issues/238>)
  * remember the last value in the function editor
  * minor update
  * Both javascript and Lua languages can be selected in preferences
  * WIP to support both QML and Lua
  * fix menu bar size of PlotJuggler
  * scripting moved to Lua
  * adding lua stuff to 3rd party libraries
  * preliminary change to support #244 <https://github.com/facontidavide/PlotJuggler/issues/244> (#247 <https://github.com/facontidavide/PlotJuggler/issues/247>)
  * preliminary change to support #244 <https://github.com/facontidavide/PlotJuggler/issues/244>
  * Update .appveyor.yml
  * Update README.md
  * Update .appveyor.yml
  * Update .appveyor.yml
  * further cleanup
  * moved files and cleanup
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 18 Feb 2020 23:00:00 -0000

ros-kilted-plotjuggler (2.5.1-1noble) noble; urgency=high

  * Fixed slow Menu Bar
  * Use ordered map, appendData needs to insert data in order (#245 <https://github.com/facontidavide/PlotJuggler/issues/245>)
    Otherwise the time order may not be respected and the data is loaded
    incorrectly
  * prevent call of dropEvent() when not needed
  * fix issue #239 <https://github.com/facontidavide/PlotJuggler/issues/239>
  * add include array header file to fix build error (#234 <https://github.com/facontidavide/PlotJuggler/issues/234>)
  * Contributors: Davide Faconti, Victor Lopez, xiaowei zhao

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 06 Feb 2020 23:00:00 -0000

ros-kilted-plotjuggler (2.5.0-1noble) noble; urgency=high

  * Fix issues #196 <https://github.com/facontidavide/PlotJuggler/issues/196> and #236 <https://github.com/facontidavide/PlotJuggler/issues/236>: allow user to use deterministic color sequence
  * fix the edit button
  * fix issue #235 <https://github.com/facontidavide/PlotJuggler/issues/235>
  * Update appimage_howto.md
  * fix timestamp problem in streaming
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 18 Dec 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.4.3-1noble) noble; urgency=high

  * less dark theme
  * bug fix
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 20 Nov 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.4.2-1noble) noble; urgency=high

  * multithread ROS DataLoader
  * directories moved
  * manually resizable columns of table view
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 17 Nov 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.4.1-1noble) noble; urgency=high

  * considerable speed improvement when MANY timeseries are loaded
  * bug fix: slow update of left curve table
  * AppImage update
  * meme update
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 10 Nov 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.4.0-1noble) noble; urgency=high

  * Tree view  (#226 <https://github.com/facontidavide/PlotJuggler/issues/226>)
  * fix issue #225 <https://github.com/facontidavide/PlotJuggler/issues/225>
  * add version number of the layout syntax
  * fix issue #222 <https://github.com/facontidavide/PlotJuggler/issues/222>
  * more readable plugin names
  * fix issue #221 <https://github.com/facontidavide/PlotJuggler/issues/221>
  * Merge branch 'master' of github.com:facontidavide/PlotJuggler
  * minor bug fix
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 09 Nov 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.3.7-1noble) noble; urgency=high

  * Dont take invisible curve into account for axis limit computation (#185 <https://github.com/facontidavide/PlotJuggler/issues/185>)
  * consistent line width
  * do not close() a rosbag unless you accepted the dialog
  * important bug fix: stop playback when loading new data
  * fix bug in TopicPublisher
  * do complete reset of globals in custom functions
  * apply changes discussed in #220 <https://github.com/facontidavide/PlotJuggler/issues/220>
  * Merge branch 'master' of github.com:facontidavide/PlotJuggler
  * cherry picking bug fix from #220 <https://github.com/facontidavide/PlotJuggler/issues/220> : update custom functions
    Thanks @aeudes
  * Fix F10 is ambiguous (#219 <https://github.com/facontidavide/PlotJuggler/issues/219>)
  * fix compilation and add feature #218 <https://github.com/facontidavide/PlotJuggler/issues/218>
  * qwt updated
  * appImage instructions updated
  * Contributors: Davide Faconti, alexandre eudes

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 29 Oct 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.3.6-1noble) noble; urgency=high

  * fix issue #215 <https://github.com/facontidavide/PlotJuggler/issues/215>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 15 Oct 2019 22:00:00 -0000

ros-kilted-plotjuggler (2.3.5-1noble) noble; urgency=high

  * remember the size of the splitter
  * fix inveted XY
  * Contributors: Davide Faconti
  * remember last splashscreen
  * Update README.md
  * Update appimage_howto.md
  * fix warning
  * meme fixed
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 10 Oct 2019 22:00:00 -0000

ros-kilted-plotjuggler (2.3.4-1noble) noble; urgency=high

  * prepare "meme edition"
  * Merge branch 'master' of https://github.com/facontidavide/PlotJuggler
  * RosMsgParsers: add cast to be clang compatible (#208)
  * Update README.md
  * Update FUNDING.yml
  * Correct "Github" to "GitHub" (#206)
  * 2.3.3
  * fix issue with FMT
  * Contributors: Dan Katzuv, Davide Faconti, Timon Engelke

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 02 Oct 2019 22:00:00 -0000

ros-kilted-plotjuggler (2.3.3-1noble) noble; urgency=high

  * removed explicit reference to Span
  * remove abseil dependency (to be tested)
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 30 Sep 2019 22:00:00 -0000

ros-kilted-plotjuggler (2.3.2-1noble) noble; urgency=high

  * always use random color in addCurveXY
  * Fix issue #204
  * Fix issue #203
  * Add missed absl Span<T> header include
  * Add missed abseil_cpp depend
  * Contributors: Davide Faconti, Enrique Fernandez

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 29 Sep 2019 22:00:00 -0000

ros-kilted-plotjuggler (2.3.1-1noble) noble; urgency=high

  * Fix #202 <https://github.com/facontidavide/PlotJuggler/issues/202> use_header_stamp not initialized for built-in types
  * Merge pull request #200 <https://github.com/facontidavide/PlotJuggler/issues/200> from aeudes/multiple_streamer
    data stream topic plugin
  * new color palette
  * Allow to have working datastreamtopic plugin in more than one plotjuggler
    instance
  * adding covariance to Odometry msg again
  * fix issue #187 <https://github.com/facontidavide/PlotJuggler/issues/187>
  * Fix segfault when swap plotwidget on archlinux (qt5.12.3).
    This bug is introduced in: 7959e54 Spurious DragLeave fixed?
    And produce a segfault(nullptr) in QCursor::shape() call by
    QBasicDrag::updateCursor(Qt::DropAction) [trigger by plotwidget.cpp:1352
    drag->exec();].
    It seems to me that the change of global application cursor on leave event during drag drop
    operation cause the problem [is it the drop widget duty to reset cursor?].
  * minor fixes related to dark theme
  * Contributors: Alexandre Eudes, Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 23 Sep 2019 22:00:00 -0000

ros-kilted-plotjuggler (2.3.0-1noble) noble; urgency=high

  * Countless changes and merges of PR.
  * Contributors: Alexandre Eudes, Davide Faconti, Juan Francisco Rascón Crespo, alexandre eudes

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 10 Jul 2019 22:00:00 -0000

ros-kilted-plotjuggler (2.1.10-1noble) noble; urgency=high

  * critical bug fixed in CustomFunctions
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 28 Mar 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.1.9-1noble) noble; urgency=high

  * QwtRescaler replaced
  * fix issues related to #118 (PlotZoom)
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 24 Mar 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.1.8-1noble) noble; urgency=high

  * bug fixes
  * xy equal scaling seems to work
  * Super fancy Video cheatsheet (#164)
  * better date display
  * Fix issue #161 and remember last directory used
  * mainwindow - use yyyy-MM-dd_HH-mm-ss name when saving a plot as png. This allows to save several times without having to rename the previous image (#162)
  * Contributors: Davide Faconti, bresch

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 23 Mar 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.1.7-1noble) noble; urgency=high

  * Date time visualization on X axis
  * fix slow PLAY when rendering takes more than 20 msec
  * new way to zoom a single axis (issues #153 and #135)
  * Inverted mouse wheel zoom #153
  * On MacOS there are several mime formats generated in addition to "curveslist", this fix will keep curves array with names collected instead of resetting it for each new mime format. (#159)
  * ulog_parser: fixed parsing of array topics (#157)
    Signed-off-by: Roman <mailto:bapstroman@gmail.com>
  * fix issue  #156 : catch exceptions
  * remember if the state of _action_clearBuffer
  * QSettings cleanups
  * Contributors: Alexey Zaparovanny, Davide Faconti, Roman Bapst

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 19 Mar 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.1.6-1noble) noble; urgency=high

  * removed obsolete question
  * remember RemoveTimeOffset state
  * add clear buffer from data stream
  * reject non valid data
  * fix sorting in ULog messages
  * Fix Ulog window
  * ulog plugin improved
  * Update .appveyor.yml
  * yes, I am sure I want to Quit
  * simplifications in RosoutPublisher
  * better double click behavior in FunctionEditor
  * adding Info and parameters
  * big refactoring of ulog parser. Fix issue #151
  * download links updated
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 06 Mar 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.1.5-1noble) noble; urgency=high

  * reintroducing timestamp from header
  * added way to create installer
  * disable zooming during streaming and reset tracker when new file loaded
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 24 Feb 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.1.4-1noble) noble; urgency=high

  * Fix issues #146: ULog and multiple instances of a message
  * close issue #138
  * remove svg dependency
  * Appveyor fixed (#144)
  * fancy menubar
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 20 Feb 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.1.3-1noble) noble; urgency=high

  * BUG: fixed issue with Customtracker when the plot is zoomed
  * new icons
  * ULog plugin added
  * Allow to build the DataStreamClientSample on Linux (#143)
  * Update README.md
  * Contributors: Davide Faconti, Romain Reignier

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 17 Feb 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.1.2-1noble) noble; urgency=high

  * legend button now has three states: left/right/hide
  * replace tracker text when position is on the right side
  * allow again to use the header.stamp
  * fix problem with legend visibility
  * Save all tab plots as images in a folder. (#137)
  * Make default filename for tab image the tab name (#136)
  * Update README.md
  * adding instructions to build AppImage
  * Contributors: Davide Faconti, d-walsh

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 12 Feb 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.1.1-1noble) noble; urgency=high

  * Added filter to function editor
  * ask for support
  * cleanup
  * fix issue with Datetime and cheatsheet dialog
  * further stylesheet refinements
  * fixing visualization of function editor dialog
  * fixing html of cheatsheet
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 06 Feb 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.1.0-1noble) noble; urgency=high

  * minor change
  * stylesheet fix
  * Cheatsheet added
  * fixing style
  * improved magnifier ( issue #135)
  * added zoom max
  * Contributors: Davide Facont, Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 06 Feb 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.0.7-1noble) noble; urgency=high

  * fix for dark layout
  * fix issue with edited function transforms
  * about dialog updated
  * added more key shortcuts
  * reverted behaviour of Dialog "delete previous curves"?
  * fix glitches related to drag and drop
  * update timeSlider more often
  * play seems to work properly for both sim_time and rewritten timestamps
  * play button added
  * clock published
  * remove timestamp modifier
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 05 Feb 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.0.5-1noble) noble; urgency=high

  * fix problem in build farm
  * bug fix plot XY
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 04 Feb 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.0.4-1noble) noble; urgency=high

  * add parent to message boxes
  * ask confirmation at closeEvent()
  * fix problem with selection of second column
  * fix issue 132
  * simplification
  * minor bug fixed in filter of StatePublisher
  * Contributors: Davide Facont, Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 28 Jan 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.0.3-1noble) noble; urgency=high

  * adding descard/clamp policy to large arrays
  * fix problem with table view resizing
  * make size of fonts modifiable with CTRL + Wheel (issue #106)
  * Update .travis.yml
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 24 Jan 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.0.2-1noble) noble; urgency=high

  * should solve issue #127 : stop publishers when data reloaded or deleted
  * fixing issues when disabling an already disabled publisher
  * solved problem with time slider (issue #125)
  * fix issue #126
  * StatePublisher improved
  * Contributors:  Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 22 Jan 2019 23:00:00 -0000

ros-kilted-plotjuggler (2.0.1-1noble) noble; urgency=high

  * important bug fix. Removed offset in X axis of PlotXY
  * fix minor visualization issue.
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 20 Jan 2019 23:00:00 -0000

ros-kilted-plotjuggler (1.9.0-1noble) noble; urgency=high

  * version bump
  * Spurious DragLeave fixed? (The worst and most annoying bug of PlotJuggler)
  * adjust font size in left panel
  * CMAKE_INSTALL_PREFIX flag fix for non-ROS user (#114)
  * adding improvements from @aeudes , issue #119
    1) Improved RemoveCurve dialog (colors and immediate replot)
    2) Fixed QMenu actions zoom horizontally and vertically
    3) Fix issue with panner and added Mouse Middle Button
  * minor changes
  * Merge branch 'master' of https://github.com/facontidavide/PlotJuggler
  * speed up loading rosbags (5%-10%)
  * custom qFileDialog to save the Layout
  * minor changes
  * Contributors: Davide Faconti, Mat&I

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 11 Nov 2018 23:00:00 -0000

ros-kilted-plotjuggler (1.8.4-1noble) noble; urgency=high

  * add tooltip
  * fix issue #109
  * CMakeLists.txt add mac homebrew qt5 install directory (#111)
  * Merge pull request #107 from v-lopez/master
  * Fix dragging/deletion of hidden items
  * Contributors: Andrew Hundt, Davide Faconti, Victor Lopez

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 16 Sep 2018 22:00:00 -0000

ros-kilted-plotjuggler (1.8.3-1noble) noble; urgency=high

  * bug fix (crash when detaching a _point_marker)
  * more informative error messages
  * cleanups
  * more compact view and larger dummyData
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 23 Aug 2018 22:00:00 -0000

ros-kilted-plotjuggler (1.8.2-1noble) noble; urgency=high

  * bug fix (crash from zombie PlotMatrix)
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 18 Aug 2018 22:00:00 -0000

ros-kilted-plotjuggler (1.8.1-1noble) noble; urgency=high

  * message moved back to the ROS plugin
  * More informative dialog (issue #100)
  * many improvements related to  FilteredTableListWidget, issue #103
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 17 Aug 2018 22:00:00 -0000

ros-kilted-plotjuggler (1.8.0-1noble) noble; urgency=high

  * fixing splash time
  * minor update
  * fix issue #49
  * README and splashscreen updates
  * Update ISSUE_TEMPLATE.md
  * F10 enhancement
  * preparing release 1.8.0
  * (speedup) skip _completer->addToCompletionTree altogether unless Prefix mode is active
  * avoid data copying when loading a datafile
  * fix issue #103
  * workaround for issue #100
  * trying to fix problem with time offset durinh streaming
  * removed enableStreaming from StreamingPlugins
  * several useless replot() calls removed
  * more conservative implementation of setTimeOffset
  * optimization
  * reduced a lot the amount of computation related to addCurve()
  * bug fix
  * Update .appveyor.yml
  * bug fix (_main_tabbed_widget is already included in TabbedPlotWidget::instances())
  * remove bug (crash at deleteDataOfSingleCurve)
  * make PlotData non-copyable
  * change in sthe state publisher API
  * shared_ptr removed. To be tested
  * WIP: changed the way data is shared
  * added suggestion from issue #105
  * skip empty dataMaps in importPlotDataMap() . Issue #105
  * fix issue #102 (grey background)
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 16 Aug 2018 22:00:00 -0000

ros-kilted-plotjuggler (1.7.3-1noble) noble; urgency=high

  * enhancement discussed in #104 Can clear buffer while streaming is active
  * adding enhancements 4 and 5 from issue #105
  * fixed bug reported in  #105
  * fix critical error
  * fix issue #101
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 11 Aug 2018 22:00:00 -0000

ros-kilted-plotjuggler (1.7.2-1noble) noble; urgency=high

  * Update .travis.yml
  * fixed potential thread safety problem
  * trying to apply changes discussed in issue #96
  * add transport hint
  * make hyperlinks clickable by allowing to open external links (#95)
  * Contributors: Davide Faconti, Romain Reignier
  * Update .travis.yml
  * fixed potential thread safety problem
  * trying to apply changes discussed in issue #96
  * add transport hint
  * make hyperlinks clickable by allowing to open external links (#95)
  * Contributors: Davide Faconti, Romain Reignier

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 09 Aug 2018 22:00:00 -0000

ros-kilted-plotjuggler (1.7.1-1noble) noble; urgency=high

  * catch exceptions
  * fix resize of PlotData size. Reported in issue #94
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 21 Jul 2018 22:00:00 -0000

ros-kilted-plotjuggler (1.7.0-1noble) noble; urgency=high

  * fixing issue #93 (thread safety in XYPlot and streaming)
  * fix issue #92
  * bug fix
  * Issue #88 (#90)
  * Reorder header files to fix conflicts with boost and QT (#86)
  * Contributors: Davide Faconti, Enrique Fernández Perdomo

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 18 Jul 2018 22:00:00 -0000

ros-kilted-plotjuggler (1.6.2-1noble) noble; urgency=high

  * fixing issue introduced in bec2c74195d74969f9c017b9b718faf9be6c1687
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 18 May 2018 22:00:00 -0000

ros-kilted-plotjuggler (1.6.1-1noble) noble; urgency=high

  * allow the buffer size to be edited
  * qDebug removed
  * fixing right mouse drag&drop
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 14 May 2018 22:00:00 -0000

ros-kilted-plotjuggler (1.6.0-1noble) noble; urgency=high

  * fixed the most annoying bug ever (erroneous DragLeave). issue #80
  * fine tuning the widget spacing
  * added feature #83
  * fix issue #82
  * remove redundant code in CMakeLists.txt
  * Qwt updated and background color change during drag&drop
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 30 Apr 2018 22:00:00 -0000

ros-kilted-plotjuggler (1.5.2-1noble) noble; urgency=high

  * bug fix #78
  * Fix typo (#76)
  * Fix QmessageBox
  * fixed issue reported in #68
  * Contributors: Davide Faconti, Victor Lopez

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 23 Apr 2018 22:00:00 -0000

ros-kilted-plotjuggler (1.5.1-1noble) noble; urgency=high

  * Ignore not initialized timestamps (#75)
  * added a warning as suggested in issue #75
  * Housekeeping of publishers in StatePublisher
  * improved layout and visibility in StatePublisher selector
  * Fix issue #73: bad_cast exception
  * Update README.md
  * added more control over the published topics
  * save ALL message instances
  * CSV  plugin: accept CSV files with empty cells
  * fix issue #72: std::round not supported by older compilers
  * add a prefix to the field name if required
  * Fix issue #69
  * bug fix in onActionSaveLayout + indentation
  * A small plugin creating a websocket server (#64)
  * bug fixes
  * Contributors: Davide Faconti, Philippe Gauthier

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 13 Feb 2018 23:00:00 -0000

ros-kilted-plotjuggler (1.5.0-1noble) noble; urgency=high

  * using AsyncSpinner as it ought to be
  * fixing the mutex problem in streaming
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 27 Nov 2017 23:00:00 -0000

ros-kilted-plotjuggler (1.4.2-1noble) noble; urgency=high

  * bug fix in getIndexFromX that affected the vertical axis range calculation
  * fix issue #61
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 19 Nov 2017 23:00:00 -0000

ros-kilted-plotjuggler (1.4.1-1noble) noble; urgency=high

  * fixed some issue with reloading rosbags and addressing issue #54
  * adding improvement #55
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 18 Nov 2017 23:00:00 -0000

ros-kilted-plotjuggler (1.4.0-1noble) noble; urgency=high

  * added the ability to set max_array_size in the GUI
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 13 Nov 2017 23:00:00 -0000

ros-kilted-plotjuggler (1.3.1-1noble) noble; urgency=high

  * warnings added
  * License updated
  * Fix build failures on Archlinux (#57)
  * Update README.md
  * Contributors: Davide Faconti, Kartik Mohta

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 13 Nov 2017 23:00:00 -0000

ros-kilted-plotjuggler (1.3.0-1noble) noble; urgency=high

  * added xmlLoadState and xmlSaveState to ALL plugins
  * works with newer ros_type_introspection
  * speed up
  * fix potential confision with #include
  * minor fix in timeSlider
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 11 Oct 2017 22:00:00 -0000

ros-kilted-plotjuggler (1.2.1-1noble) noble; urgency=high

  * better limits for timeSlider
  * fix a potential issue with ranges
  * set explicitly the max vector size
  * avoid wasting time doing tableWidget->sortByColumn
  * bug fix
  * prevent a nasty error during construction
  * Update README.md
  * added ros_type_introspection to travis
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 29 Aug 2017 22:00:00 -0000

ros-kilted-plotjuggler (1.2.0-1noble) noble; urgency=high

  * Ros introspection updated (#52 <https://github.com/facontidavide/PlotJuggler/issues/52>)
  * Potential fix for precision issue when adding time_offset
  * Update snap/snapcraft.yaml
  * Contributors: Davide Faconti, Kartik Mohta

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 28 Aug 2017 22:00:00 -0000

ros-kilted-plotjuggler (1.1.3-1noble) noble; urgency=high

  * fixed few issues with DataStreamROS
  * Update README.md
  * improvement #43 <https://github.com/facontidavide/PlotJuggler/issues/43>. Use F10 to hide/show controls
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 10 Jul 2017 22:00:00 -0000

ros-kilted-plotjuggler (1.1.2-1noble) noble; urgency=high

  * bug-fix in DataLoadROS (multi-selection from layout)
  * Merge branch 'master' of github.com:facontidavide/PlotJuggler
  * minor change
  * Update README.md
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 27 Jun 2017 22:00:00 -0000

ros-kilted-plotjuggler (1.1.1-1noble) noble; urgency=high

  * store rosbag::MessageInstance to replay data with the publisher
  * avoid allocation
  * minor optimizations
  * bug fix: checkbox to use renaming rules was not detected correctly
  * fix for very large rosbags
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 25 Jun 2017 22:00:00 -0000

ros-kilted-plotjuggler (1.1.0-1noble) noble; urgency=high

  * fixing bug #47 <https://github.com/facontidavide/PlotJuggler/issues/47>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 19 Jun 2017 22:00:00 -0000

ros-kilted-plotjuggler (1.0.8-1noble) noble; urgency=high

  * update to be compatible with ros_type_introspection 0.6
  * setting uninitialized variable (thanks valgrind)
  * improvement #48 <https://github.com/facontidavide/PlotJuggler/issues/48>
  * fix for issue #46 <https://github.com/facontidavide/PlotJuggler/issues/46> (load csv files)
  * more intuitive ordering of strings. Based on PR #45 <https://github.com/facontidavide/PlotJuggler/issues/45>. Fixes #27 <https://github.com/facontidavide/PlotJuggler/issues/27>
  * Correct the string being searched for to find the header stamp field (#44 <https://github.com/facontidavide/PlotJuggler/issues/44>)
  * Contributors: Davide Faconti, Kartik Mohta

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 19 Jun 2017 22:00:00 -0000

ros-kilted-plotjuggler (1.0.7-1noble) noble; urgency=high

  * the list of topics in the Dialog will be automatically updated
  * bug fix
  * fixed some issues with the installation
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 11 May 2017 22:00:00 -0000

ros-kilted-plotjuggler (1.0.5-1noble) noble; urgency=high

  * fixed an issue with ROS during destruction
  * allow timestamp injection
  * Create ISSUE_TEMPLATE.md
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 06 May 2017 22:00:00 -0000

ros-kilted-plotjuggler (1.0.4-1noble) noble; urgency=high

  * save/restore the selected topics in the layout file
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 29 Apr 2017 22:00:00 -0000

ros-kilted-plotjuggler (1.0.3-1noble) noble; urgency=high

  * fixed window management
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 27 Apr 2017 22:00:00 -0000

ros-kilted-plotjuggler (1.0.2-1noble) noble; urgency=high

  * set axis Y limit is undoable now
  * added the command line option "buffer_size"
  * filter xml extension for save layout
  * added axis limits (Y)
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 25 Apr 2017 22:00:00 -0000

ros-kilted-plotjuggler (1.0.1-1noble) noble; urgency=high

  * documentation fix
  * color widget simplified
  * Update README.md
  * default extension fixed in layout.xml
  * Contributors: Davide Faconti, Eduardo Caceres

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 23 Apr 2017 22:00:00 -0000

ros-kilted-plotjuggler (1.0.0-1noble) noble; urgency=high

  * Total awesomeness

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 21 Apr 2017 22:00:00 -0000

ros-kilted-plotjuggler (0.18.0-1noble) noble; urgency=high

  * added visualization policy to the TimeTracker
  * bug fix in RosoutPublisher
  * added try-catch guard to third party plugins method invocation
  * improving documentation
  * multiple fixes
  * shall periodically update the list of curves from the streamer
  * make the API of plugins more consistent and future proof
  * removed double replot during streaming (and framerate limited to 25)
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 20 Apr 2017 22:00:00 -0000

ros-kilted-plotjuggler (0.17.0-1noble) noble; urgency=high

  * more renaming rules and samples
  * feature request #31
  * fix QFileDialog (save)
  * fixing a nasty bug in save plot to file
  * Add dummy returns to function that required it (#36)
  * trying to fix some issues with the streamer time offset
  * fixing a crash in the plugin
  * saving more application settings with QSettings
  * cleanups
  * new plugin: rosout
  * several bugs fixed
  * removed unused plugin
  * Update README.md
  * cleanups
  * added data samples
  * move wais to filter the listWidget
  * visualization improvements
  * Contributors: Davide Faconti, v-lopez

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 01 Apr 2017 22:00:00 -0000

ros-kilted-plotjuggler (0.16.0-1noble) noble; urgency=high

  * removed the normalization of time in ROS plugins
  * relative time seems to work properly
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 21 Mar 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.15.3-1noble) noble; urgency=high

  * multiple fixes
  * update related to backtrace
  * backward-cpp added
  * show coordinates when the left mouse is clicked (but not moved)
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 21 Mar 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.15.1-1noble) noble; urgency=high

  * adding some deadband to the zoomer
  * fixed a bug related to tabs and new windows
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 19 Mar 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.15.0-1noble) noble; urgency=high

  * Multiple problems fixed with streaming interface and XY plots
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 16 Mar 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.14.2-1noble) noble; urgency=high

  * improve CurveColorPick
  * bugs fixed
  * crash fixed
  * Prevent compiler warning if compiling under ROS (#29)
  * Contributors: Davide Faconti, Tim Clephas

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 15 Mar 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.14.1-1noble) noble; urgency=high

  * improved the time slider
  * bug fixes
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 14 Mar 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.14.0-1noble) noble; urgency=high

  * improved usability
  * adding XY plots (#26)
  * improving plot magnifier
  * changed key combination
  * file extension of saved images fixed
  * bug fixes
  * adding the ability to delete curves
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 14 Mar 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.13.1-1noble) noble; urgency=high

  * bug fix
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 13 Mar 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.13.0-1noble) noble; urgency=high

  * default range X for empty plots
  * better formatting
  * improving 2nd column visualization
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 11 Mar 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.12.2-1noble) noble; urgency=high

  * Left curve list will display current value from vertical tracker
  * new splashscreen phrases
  * Temporarily disabling Qt5Svg
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 09 Mar 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.12.0-1noble) noble; urgency=high

  * Create .appveyor.yml
  * added the ability to save rosbags from streaming
  * bug fixes
  * might fix compilation problem in recent cmake (3.x)
  * improvement of the horizontal slider
  * save plots to file
  * qwt updated to trunk
  * catch the rosbag exception
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 05 Mar 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.11.0-1noble) noble; urgency=high

  * should fix the reloading issue
  * Update README.md
  * minor fixes of the help_dialog layout
  * Contributors: Davide Faconti, MarcelSoler

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 22 Feb 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.10.3-1noble) noble; urgency=high

  * adding help dialog
  * minor bug fix
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 20 Feb 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.10.2-1noble) noble; urgency=high

  * critical bug fixed in ROS streaming
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 13 Feb 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.10.1-1noble) noble; urgency=high

  * adding more command line functionality
  * BUG-FIX: bad resizing when a matrix row or column is deleted
  * simplifying how random colors are managed
  * more streaming buffer
  * remember selected topics
  * improvements and bug fixes
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 13 Feb 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.10.0-1noble) noble; urgency=high

  * auto loading of streamer based on saved layout
  * refactoring of the ROS plugins
  * REFACTORING to allow future improvements of drag&drop
  * trying to fix a compilation problem
  * Update README.md
  * FIX: menu bar will stay where it is supposed to.
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sat, 11 Feb 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.9.1-1noble) noble; urgency=high

  * FIX: avoid the use of catkin when using plain cmake
  * IMPROVEMENT: exit option in the file menu
  * IMPROVEMENT: reduce the number of steps to launch a streamer
  * SPEEDUP: use a cache to avoid repeated creation of std::string
  * better way to stop streaming and reload the plugins
  * fixed a compilation problem on windows
  * fixed a problem with resizing
  * help menu with About added
  * qDebug commented
  * default to RelWithDebInfo
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 08 Feb 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.9.0-1noble) noble; urgency=high

  * bug fixes
  * QWT submodule removed
  * removed boost dependency
  * Contributors: Davide Faconti
  * remove submodule
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 06 Feb 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.8.1-1noble) noble; urgency=high

  * removing the old name "SuperPlotter"
  * bug fix that affected data streaming
  * this explicit dependency might be needed by bloom

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 23 Jan 2017 23:00:00 -0000

ros-kilted-plotjuggler (0.8.0-1noble) noble; urgency=high

  * First official beta of PJ
  * Contributors: Arturo Martin-de-Nicolas, Davide Faconti, Kartik Mohta, Mikael Arguedas

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 22 Jan 2017 23:00:00 -0000


